Subject: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Juanma Barranquero <[email-masked]>
Date: Wed, 19 Sep 2012 04:31:44 +0200

On Tue, Sep 18, 2012 at 10:00 PM, Eli Zaretskii <[email-masked]> wrote:

> Since Jörg published the solution, I don't see any special reasons to
> hurry: anyone who needs it can apply the patches to their sandbox.

Jörg's fix solves the reported bug, but he's apparently unaware that
Vlibrary_cache is not just used for images, so renaming it to
loaded_image_types and making it private to image.c is a no-no.

The patch is trivial (Jörg's deletion of Windows-specific #ifdef's,
plus moving the declaration of Vlibrary_cache outside w32.c/h and to a
more general file). But I'm not sure where to put it; image.c is not
safe because you can have a non-HAVE_WINDOW_SYSTEM build supporting
libxml2 or GnuTLS.

Suggestions?

    Juanma